import { TouchableOpacity, Text, StyleSheet } from "react-native";
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from "react-native-responsive-screen";
import { LinearGradient } from "expo-linear-gradient";

export const LongButtonComp = ({
  title,
  extraStyleForText,
  onGradientButtonPress,
  gradienColor1,
  gradienColor2,
  extraStyleButton,
}) => {
  return (
    <TouchableOpacity
      onPress={() => {
        onGradientButtonPress();
      }}
    >
      <LinearGradient
        colors={[gradienColor1 || "red", gradienColor2 || "pink"]}
        start={{ y: 0.0, x: 0.0 }}
        end={{ y: 0.0, x: 0.8 }}
        style={[styles.longButtonStyle, extraStyleButton]}
      >
        <Text
          onPress={() => {
            onGradientButtonPress();
          }}
          style={[
            {
              extraStyleForText,
            },
          ]}
        >
          {title || "CLICK"}
        </Text>
      </LinearGradient>
    </TouchableOpacity>
  );
};

const styles = StyleSheet.create({
  longButtonStyle: {
    width: wp("90%"),
    borderRadius: wp("6%"),
    justifyContent: "center",
    alignItems: "center",
    padding: wp("3%"),
  },
});
